Summary:     A traceroute implementation using TCP packets
Name:        tcptraceroute
Version:     1.5beta5
Release:     2.pp
License:     GPL
Group:       Console/Utilities
Source0:     http://michael.toren.net/code/%{name}/%{name}-%{version}.tar.gz
URL:         http://michael.toren.net/code/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    libnet
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: libnet-devel glibc-devel
ExclusiveOS: linux


%description
tcptraceroute is a traceroute implementation using TCP SYN packets,
instead of the more traditional UDP or ICMP ECHO packets. In doing
so, it is able to trace through many common firewall filters.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
        --prefix=/usr           \
        --sysconfdir=/etc       \
        --localstatedir=/var    \
        --mandir=/usr/share/man
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING examples* INSTALL
%doc NEWS README VERSION *.html
/usr/bin/*
/usr/share/man/man1/*


%changelog
* Mon Jan 05 2004 peter.pramberger@1012surf.net
- created

